Bug 1735317 - gromacs: FTBFS in Fedora rawhide/f31
Summary: gromacs: FTBFS in Fedora rawhide/f31
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: gromacs
Version: 31
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Christoph Junghans
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: F31FTBFS 1732841
TreeView+ depends on / blocked
 
Reported: 2019-07-31 19:31 UTC by Fedora Release Engineering
Modified: 2019-09-18 00:02 UTC (History)
3 users (show)

Fixed In Version: gromacs-2019.3-1.fc31.2
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-09-18 00:02:10 UTC


Attachments (Terms of Use)
build.log (42 bytes, text/plain)
2019-07-31 19:31 UTC, Fedora Release Engineering
no flags Details
root.log (32.00 KB, text/plain)
2019-07-31 19:31 UTC, Fedora Release Engineering
no flags Details
state.log (477 bytes, text/plain)
2019-07-31 19:31 UTC, Fedora Release Engineering
no flags Details

Description Fedora Release Engineering 2019-07-31 19:31:20 UTC
gromacs failed to build from source in Fedora rawhide/f31

https://koji.fedoraproject.org/koji/taskinfo?taskID=36633804


For details on the mass rebuild see:

https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild
Please fix gromacs at your earliest convenience and set the bug's status to
ASSIGNED when you start fixing it. If the bug remains in NEW state for 8 weeks,
gromacs will be orphaned. Before branching of Fedora 32,
gromacs will be retired, if it still fails to build.

For more details on the FTBFS policy, please visit:
https://fedoraproject.org/wiki/Fails_to_build_from_source

Comment 1 Fedora Release Engineering 2019-07-31 19:31:22 UTC
Created attachment 1596433 [details]
build.log

Comment 2 Fedora Release Engineering 2019-07-31 19:31:24 UTC
Created attachment 1596434 [details]
root.log

file root.log too big, will only attach last 32768 bytes

Comment 3 Fedora Release Engineering 2019-07-31 19:31:26 UTC
Created attachment 1596435 [details]
state.log

Comment 4 Christoph Junghans 2019-07-31 22:20:13 UTC
On s390x:

DEBUG util.py:585:  BUILDSTDERR: error: unpacking of archive failed on file /builddir/build/SOURCES/gromacs-2019.3.tar.gz;5d3e0577: cpio: read failed - Inappropriate ioctl for device
DEBUG util.py:585:  BUILDSTDERR: error: /builddir/build/originals/gromacs-2019.3-1.fc31.1.src.rpm cannot be installed

So huh?

Comment 5 Ben Cotton 2019-08-13 16:56:02 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 31 development cycle.
Changing version to '31'.

Comment 6 Ben Cotton 2019-08-13 18:44:13 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 31 development cycle.
Changing version to 31.

Comment 7 Fedora Update System 2019-08-29 07:57:47 UTC
FEDORA-2019-af50f19b83 has been submitted as an update to Fedora 31. https://bodhi.fedoraproject.org/updates/FEDORA-2019-af50f19b83

Comment 8 Fedora Update System 2019-08-30 12:17:26 UTC
aircrack-ng-1.5.2-8.fc31, gromacs-2019.3-1.fc31.2, hpx-1.3.0-4.fc31, hwloc-2.0.4-1.fc31, legion-19.06.0-3.fc31, mpich-3.3.1-1.fc31, openmpi-4.0.1-10.fc31, pocl-1.2-6.20190221gita0b083a1b47a738.fc31, slurm-19.05.2-2.fc31 has been pushed to the Fedora 31 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-af50f19b83

Comment 9 Fedora Update System 2019-09-05 18:00:59 UTC
FEDORA-2019-af50f19b83 has been submitted as an update to Fedora 31. https://bodhi.fedoraproject.org/updates/FEDORA-2019-af50f19b83

Comment 10 Fedora Update System 2019-09-06 00:22:23 UTC
aircrack-ng-1.5.2-8.fc31, gromacs-2019.3-1.fc31.2, hpx-1.3.0-4.fc31, hwloc-2.0.4-1.fc31, legion-19.06.0-3.fc31, mpich-3.3.1-1.fc31, openmpi-4.0.2-0.2.rc1.fc31, pocl-1.2-6.20190221gita0b083a1b47a738.fc31, slurm-19.05.2-2.fc31 has been pushed to the Fedora 31 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-af50f19b83

Comment 11 Fedora Update System 2019-09-13 06:15:32 UTC
FEDORA-2019-af50f19b83 has been submitted as an update to Fedora 31. https://bodhi.fedoraproject.org/updates/FEDORA-2019-af50f19b83

Comment 12 Fedora Update System 2019-09-14 01:39:36 UTC
aircrack-ng-1.5.2-8.fc31, gromacs-2019.3-1.fc31.2, hpx-1.3.0-4.fc31, hwloc-2.0.4-1.fc31, legion-19.06.0-3.fc31, mpich-3.3.1-1.fc31, openmpi-4.0.2-0.2.rc1.fc31, pmix-3.1.4-2.fc31, pocl-1.2-6.20190221gita0b083a1b47a738.fc31, slurm-19.05.2-2.fc31 has been pushed to the Fedora 31 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-af50f19b83

Comment 13 Fedora Update System 2019-09-18 00:02:10 UTC
aircrack-ng-1.5.2-8.fc31, gromacs-2019.3-1.fc31.2, hpx-1.3.0-4.fc31, hwloc-2.0.4-1.fc31, legion-19.06.0-3.fc31, mpich-3.3.1-1.fc31, openmpi-4.0.2-0.2.rc1.fc31, pmix-3.1.4-2.fc31, pocl-1.2-6.20190221gita0b083a1b47a738.fc31, slurm-19.05.2-2.fc31 has been pushed to the Fedora 31 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.